Skip to content

Category Services

Top Charts ( 10 Credits / Request )

Provides top charts information for given category, country, ranking type and device.

bash
GET /appstore-category-v2/topcharts/{version}/{categoryId}/{countryCode}/{rankingType}/{targetDevice}?date={date}

Request Parameters

ParameterDescription
version(required) "v1" for iOS 11 and before, "v2" for iOS 12+ (currently only overall category is available)
categoryId(required) Integer category id
countryCode(required) Two letter country code
rankingType(required) FREE, PAID, GROSSING
targetDevice(required) IPHONE, IPAD
date(required) YYYY-MM-DD formatted date

Response Fields

FieldDescription
countryCodeTwo letter country code, category rankings are mapped by this
categoryIdCategory code, date and rankings are mapped according to this
targetDeviceIPHONE or IPAD
rankingTypeFREE, PAID, GROSSING
dateDate in LocalDateTime format
trackIdsList of AppStore track ids, sorted by ranking

Example request

bash
curl "https://api.mobileaction.co/appstore-category-v2/topcharts/v1/36/US/FREE/IPHONE?date=2019-03-01&token=YOUR_API_KEY"

Example response

json
{
  "countryCode": "US",
  "categoryId": 36,
  "targetDevice": "IPHONE",
  "rankingType": "FREE",
  "date": "2019-03-01T23:05:17",
  "trackIds": [
    1448852425,
    544007664,
    310633997,
    454638411,
    1445450568,
    389801252,
    284882215,
    447188370,
    422689480,
    711923939
  ]
}

Category Ranking ( 10 Credits / Request )

Provides category rankings history of an app in AppStore. Max 30 days of history is allowed for a single request.

bash
GET /appstore-category-v2/rankings/{version}/{trackId}/{countryCode}?hourly={hourly}&startDate={startDate}&endDate={endDate}

Request Parameters

ParameterDescription
version(required) "v1" for iOS 11 and before, "v2" for iOS 12+ (currently only overall category is available)
trackId(required) AppStore track id of app
hourly(required) "true" for exact values, "false" for aggregated daily average values.
countryCode(required) Two letter country code
startDate(required) YYYY-MM-DD formatted date, history start date, inclusive.
endDate(required) YYYY-MM-DD formatted date, history end date, exclusive.

Response Fields

FieldDescription
trackIdAppStore track id of app
countryCodeTwo letter country code, category rankings are mapped by this
categoryIdCategory code, date and rankings are mapped according to this
targetDeviceIPHONE or IPAD
rankingTypeFREE, PAID, GROSSING
dateDate in LocalDateTime format
rankCategory ranking value

Example request

bash
curl "https://api.mobileaction.co/appstore-category-v2/rankings/v1/529479190/US?hourly=false&startDate=2019-02-01&endDate=2019-02-02&token=YOUR_API_KEY"

Example response

json
{
  "trackId": 529479190,
  "ranksByCategory": {
    "US": {
      "36": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 214
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 223
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 11
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 11
            }
          ]
        },
        {
          "targetDevice": "IPAD",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 236
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 253
            }
          ]
        },
        {
          "targetDevice": "IPAD",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 15
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 14
            }
          ]
        }
      ],
      "6014": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 71
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 81
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 6
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 5
            }
          ]
        },
        {
          "targetDevice": "IPAD",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 144
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 162
            }
          ]
        },
        {
          "targetDevice": "IPAD",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-02-01T00:00:00",
              "ranking": 13
            },
            {
              "date": "2019-02-02T00:00:00",
              "ranking": 13
            }
          ]
        }
      ]
    }
  }
}

Global Last Day Category Rankings ( 20 Credits / Request )

Provides global category rankings of an app in AppStore for last day.

bash
GET /appstore-category-v2/global-rankings-last-day/{trackId}/{device}

Request Parameters

ParameterDescription
trackId(required) Appstore track id of the app.
device(required) IPHONE or IPAD.

Response Fields

FieldDescription
trackIdAppStore track id of app
countryCodeTwo letter country code, category rankings are mapped by this
categoryIdCategory code, date and rankings are mapped according to this
targetDeviceIPHONE or IPAD
rankingTypeFREE, PAID, GROSSING
dateDate in LocalDateTime format
rankCategory ranking value

Example request

bash
curl "https://api.mobileaction.co/appstore-category-v2/global-rankings-last-day/529479190/IPHONE?token=YOUR_API_KEY"

Example response

json
{
  "trackId": 529479190,
  "ranksByCategory": {
    "LI": {
      "36": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:30:05",
              "ranking": 217
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:30:06",
              "ranking": 5
            }
          ]
        }
      ],
      "6014": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:28:15",
              "ranking": 89
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:28:17",
              "ranking": 1
            }
          ]
        }
      ],
      "7001": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:28:54",
              "ranking": 27
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:28:56",
              "ranking": 1
            }
          ]
        }
      ],
      "7017": [
        {
          "targetDevice": "IPHONE",
          "rankingType": "FREE",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:29:51",
              "ranking": 6
            }
          ]
        },
        {
          "targetDevice": "IPHONE",
          "rankingType": "GROSSING",
          "rankingsByDate": [
            {
              "date": "2019-06-18T05:29:53",
              "ranking": 1
            }
          ]
        }
      ]
    }
  }
}